package Tests::ping;

use Tests::Base;
@ISA = qw( Tests::Base );

use Net::Ping;

sub execute
{
	my $self = shift;
	$self -> message( "Ping test executing" );

	my $p = Net::Ping -> new( 'icmp', $self -> opt( 'timeout' ) || 5 );
	
	if( $p -> ping( $self -> host_addr() ) )
	{
		return( 0 );
	}else
	{
		$self -> message( "Error: no response" );
		return( 1 );
	}
}

1;

__END__

=head1 NAME

Tests::ping - pings a host to test if it's alive

=head1 SYNOPSIS

	<ping/>

Requires Net::Ping perl module

=head1 DESCRIPTION

Simple ICMP ping of a host to test if it's alive.  Not a very extensive check though
as many OS's will continue to respond to ping's even when other parts of the OS
have frozen.

Also note that you need root priveleges to create ICMP packets, so sentinel needs
to be run as root to use this.

=head1 SEE ALSO

sentinel, probe, librarian, sentinel.conf

=head1 AUTHOR

Steve Slaven - http://hoopajoo.net
